Skip to main content
GET
/
api
/
v1
/
contacts
/
{id}
/
calls
Get Contact Calls
curl --request GET \
  --url https://api.ravan.ai/api/v1/contacts/{id}/calls \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "organizationId": "<string>",
      "roomId": "<string>",
      "callerNumber": "<string>",
      "calleeNumber": "<string>",
      "callerName": "<string>",
      "callerEmail": "<string>",
      "channel": "<string>",
      "status": "<string>",
      "summary": "<string>",
      "metadata": {},
      "errorMessage": "<string>",
      "disconnectReason": "<string>",
      "promptDynamicVariables": {},
      "extractDynamicVariables": null,
      "callLatencyMs": 0,
      "startedAt": "<string>",
      "endedAt": "<string>",
      "durationSec": 0,
      "createdAt": "<string>",
      "recordingUrl": "<string>",
      "costTotal": "<string>",
      "agentName": "<string>",
      "postCallAnalysisResult": {},
      "creditBreakdown": {
        "channel": "<string>",
        "duration_sec": 0,
        "model_credits": 0,
        "provider_credits": 0,
        "provider_managed": true,
        "telephony_type": "<string>",
        "total_credits": 0
      }
    }
  ]
}

Authorizations

X-Api-Key
string
required
Your Agni API key used to authenticate the request. Pass it in the X-Api-Key header. Find or rotate it from your Ravan AI account settings.

Path Parameters

id
string
required
The unique ID of the resource in the path. Use the ID returned by the related create or list endpoint.

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
array
Array of call session objects.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Contact ID

Response

200 - application/json

Successful response

success
boolean
message
string
data
object[]